javax.resource.spi

## Class SharingViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.SharingViolationException

- All Implemented Interfaces:
    java.io.Serializable

      public class SharingViolationException
      extends ResourceException

  This is thrown to indicate a connection sharing violation.

  This may be thrown by a resource adapter when an application uses a shareable connection in an unshareable manner.

  Version:
    1.0
  Author:
    Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharingViolationException()` Constructs a new instance with null as its detail message.
    `SharingViolationException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `SharingViolationException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and error code.
    `SharingViolationException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `SharingViolationException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SharingViolationException

          public SharingViolationException()

      Constructs a new instance with null as its detail message.

    - #### SharingViolationException

          public SharingViolationException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### SharingViolationException

          public SharingViolationException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### SharingViolationException

          public SharingViolationException(java.lang.String message,
                                           java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### SharingViolationException

          public SharingViolationException(java.lang.String message,
                                           java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)